/**
 * RGBA.js - colours and transparency
 * @author  Tom Legrady
 * @date    Dec. 31,  2011
 */
function RGBA( r, g, b, a ){
    "use strict";
    this.r = r;
    this.b = b;
    this.g = g;
    this.a = a;
      
    this.toString = rgbaToString;
      
}
function rgbaToString(){
    "use strict";
    return 'rgba(' + this.r + ',' + this.g + ',' + this.b + ',' + this.a + ')';
}
function RandomRGBA() {
    "use strict";
    if ( RGBA.prototype.bounds === undefined
	|| RGBA.prototype.bounds.midX === undefined) {
	RGBA.prototype.bounds = { maxRGB: 256 };
    }

    var r = Math.floor( RGBA.prototype.bounds.maxRGB * Math.random() );
    var g = Math.floor( RGBA.prototype.bounds.maxRGB * Math.random() );
    var b = Math.floor( RGBA.prototype.bounds.maxRGB * Math.random() );
    var a = Math.floor( 10 * Math.random() )/10 + 0.1;
    RGBA.call( this, r, g, b, a );
}
// ----------------------------------------------------------------------
// End of File
//