module( 'Util.js', {
    setup : function() {
        setGlobals();
    }
});
test( 'constants', function() {
    equals( infinity(), 1000000, 'epsilon is million' );
    equals( epsilon(), 1.0 / infinity(), 'epsilon is 1 / infinity()' );
});

test( 'setGlobals()', function() {
    equal(LEGRADY.bounds.maxX,  "500", 'bounds.maxX' );
    equal(LEGRADY.bounds.maxY, "1000", 'bounds.maxY' );
    equal(LEGRADY.bounds.minX,    0, 'bounds.minX' );
    equal(LEGRADY.bounds.minY,    0, 'bounds.minY' );
    equal(LEGRADY.bounds.midX, 250, 'bounds.midX' );
    equal(LEGRADY.bounds.midY, 500, 'bounds.midX' );
});
