var LEGRADY ={};

function init() {
    "use strict";
    LEGRADY.maxX = canvas.getAttribute( 'width' );
    LEGRADY.maxY = canvas.getAttribute( 'height' );
    LEGRADY.minX = 0;
    LEGRADY.minY = 0;
    LEGRADY.halfX = LEGRADY.maxX / 2.0;
    LEGRADY.halfY = LEGRADY.maxY / 2.0;
    LEGRADY.maxRGB = 256;
    LEGRADY.canvas = document.getElementById('canvas');
    setInterval(draw,3);
}
function draw() {
    "use strict";
    var ctx = LEGRADY.canvas.getContext('2d');
    var p = new RandomPoint();
    ctx.fillStyle = new RandomRGBA().toString();
    ctx.beginPath();
    var dy = Math.abs(LEGRADY.halfY - p.y) /  LEGRADY.halfY;
    var dx = Math.abs(LEGRADY.halfX - p.x) /  LEGRADY.halfX;
    var d = dy > dx ? dy : dx;
    var sz = 2 + 50 * d * (0.75 + 0.25 * Math.random());
    ctx.arc( p.x, p.y, sz, 0, Math.PI * 2, false );
    ctx.fill();
}
