function drawLines() {
    "use strict";
    setGlobals()
    ;
    var ctx = LEGRADY.canvas.getContext('2d'),
    innerLen = 200,
    outerLen = 300,
    middle = new Point( LEGRADY.bounds.midX,  LEGRADY.bounds.midY );
    ctx.lineCap = 'round';

    for ( var i = 0; i < 36; i++ ) {
        var theta = i * Math.PI / 36,
        unseen = new Line( middle, theta, innerLen),
        seen = new Line( unseen.p2, -theta, outerLen );
        var r = ( ( Math.abs( middle.y - seen.p1.y) 
                  < Math.abs( middle.y - seen.p2.y) )
                ? Math.floor(seen.p1.x / LEGRADY.bounds.maxX * 256)
                : Math.floor(seen.p2.x / LEGRADY.bounds.maxX * 256)
                );
        var g = ( ( Math.abs( middle.y - seen.p1.y) 
                  < Math.abs( middle.y - seen.p2.y) )
                ? Math.floor(seen.p2.y / LEGRADY.bounds.maxY * 256)
                : Math.floor(seen.p1.y / LEGRADY.bounds.maxY * 256)
                );
        var b = 256 - Math.abs( middle.x - seen.p1.x + middle.y - seen.p2.y ) * 4;
        
        var rgba = 'rgba(' + r + ',' + g + ',' + b + ',1.0)';
        ctx.strokeStyle = rgba;
        ctx.lineWidth = 2 + Math.abs(18-i)/3 
        ctx.beginPath();
        seen.draw(ctx);
        ctx.stroke();
    }
}